<?php

return [
	'routes' => [
		[
			'name' => 'Folder#find',
			'url' => '/folders',
			'verb' => 'GET'
		],
		[
			'name' => 'Folder#current',
			'url' => '/folders/current',
			'verb' => 'GET'
		],
		[
			'name' => 'Snapshot#index',
			'url' => '/snapshots',
			'verb' => 'GET'
		],
		[
			'name' => 'Snapshot#show',
			'url' => '/snapshots/{snapshotId}',
			'verb' => 'GET'
		],
		[
			'name' => 'diff#create',
			'url' => '/snapshots/{snapshotId}/diff',
			'verb' => 'GET'
		],
		[
			'name' => 'diff#show',
			'url' => '/snapshots/{snapshotId}/diff/{diffTaskId}',
			'verb' => 'GET'
		],
		[
			'name' => 'diff_result#show',
			'url' => '/snapshots/{snapshotId}/diff/{diffTaskId}/{diffTaskResultId}',
			'verb' => 'GET'
		],
		[
			'name' => 'diff_result#revert',
			'url' => '/snapshots/{snapshotId}/diff/{diffTaskId}/{diffTaskResultId}/revert',
			'verb' => 'POST'
		],
		[
			'name' => 'Group#create',
			'url' => '/groups',
			'verb' => 'POST'
		],
		[
			'name' => 'Group#get',
			'url' => '/groups/{groupId}',
			'verb' => 'GET'
		],
		[
			'name' => 'Group#find',
			'url' => '/groups',
			'verb' => 'GET'
		],
		[
			'name' => 'Group#update',
			'url' => '/groups/{groupId}',
			'verb' => 'PATCH'
		],
		[
			'name' => 'Group#delete',
			'url' => '/groups/{groupId}',
			'verb' => 'DELETE'
		],
		[
			'name' => 'Group#findMembers',
			'url' => '/groups/{groupId}/members',
			'verb' => 'GET'
		],
		[
			'name' => 'Group#addMember',
			'url' => '/groups/{groupId}/members',
			'verb' => 'POST'
		],
		[
			'name' => 'Group#updateMember',
			'url' => '/groups/{groupId}/members/{memberId}',
			'verb' => 'PATCH'
		],
		[
			'name' => 'Group#deleteMember',
			'url' => '/groups/{groupId}/members/{memberId}',
			'verb' => 'DELETE'
		],
		[
			'name' => 'Group#findMemberChoices',
			'url' => '/group-member-choices',
			'verb' => 'GET'
		],
		[
			'name' => 'Sherpa#findDivisions',
			'url' => '/sherpa/divisions',
			'verb' => 'GET'
		],
		[
			'name' => 'Sherpa#findGroups',
			'url' => '/sherpa/groups',
			'verb' => 'GET'
		],
		[
			'name' => 'Sherpa#subdivisions',
			'url' => '/sherpa/subdivisions',
			'verb' => 'GET'
		],
		[
			'name' => 'AdminSettings#index',
			'url' => '/adminSettings',
			'verb' => 'GET'
		],
		[
			'name' => 'AdminSettings#show',
			'url' => '/adminSettings/{key}',
			'verb' => 'GET'
		],
		[
			'name' => 'AdminSettings#update',
			'url' => '/adminSettings/{key}',
			'verb' => 'PATCH'
		],
	]];
