<?php

namespace OCA\GrueneGroupfolderManagement\Controller;

use OCA\GrueneGroupfolderManagement\Service\SettingsService;
use OCP\AppFramework\Http\JSONResponse;

class AdminSettingsController extends BaseController {
	public function __construct(
		private SettingsService $settingsService,
	) {
		parent::__construct();
	}

    /**
     * @return JSONResponse
     */
    public function index(): JSONResponse {
        return new JSONResponse($this->settingsService->getAppValues());
    }

    /**
     * @param $key
     *
     * @return JSONResponse
     */
    public function show($key): JSONResponse {
        return new JSONResponse($this->settingsService->getAppValue($key));
    }

    /**
     * @param $key
     * @param $value
     *
     * @return JSONResponse
     */
    public function update($key, $value): JSONResponse {
		return new JSONResponse($this->settingsService->setAppValue($key, $value));
    }
}