<?php

namespace OCA\GrueneGroupfolderManagement\Controller;

use \Closure;

use OCP\AppFramework\Http;
use OCP\AppFramework\Http\DataResponse;

use OCA\GrueneGroupfolderManagement\Exceptions\NotFoundException;
use OCA\GroupfolderFilesystemSnapshots\Service\NotFoundException as GroupfolderFilesystemSnapshotsNotFoundException;


trait Errors {

    protected function handleNotFound (Closure $callback): DataResponse {
        try {
            return new DataResponse($callback());
        } catch(NotFoundException | GroupfolderFilesystemSnapshotsNotFoundException $e) {
            $message = ['message' => $e->getMessage()];
            return new DataResponse($message, Http::STATUS_NOT_FOUND);
        }
    }

}