<?php
namespace OCA\GrueneGroupfolderManagement\Http;

use OCP\AppFramework\Http\Response;
use OCP\AppFramework\Http\ICallbackResponse;
use OCP\AppFramework\Http\IOutput;

class StreamedProgressResponse extends Response implements ICallbackResponse {

    private $startStreamingCallback;

    public function __construct($startStreamingCallback) {
        $this->startStreamingCallback = $startStreamingCallback;

        $this->setHeaders([
            "X-Accel-Buffering" => "no",
            "Content-Type" => "text/json; charset=utf-8",
        ]);

		parent::__construct();
	}

    public function callback(IOutput $output) {
        set_time_limit(0);              // making maximum execution time unlimited
        ob_implicit_flush(1);           // Send content immediately to the browser on every statement which produces output
        ob_end_flush();                 // deletes the topmost output buffer and outputs all of its contents

        ($this->startStreamingCallback)($output);
    }

}